Create ecosystem configuration
Roles
Analytics Events
/v1/config/ecosystemsCreates an ecosystem configuration for the tenant.
Analytic events
- ECOSYSTEM_CONFIG_CREATE_START
- ECOSYSTEM_CONFIG_CREATE_SUCCESS
- ECOSYSTEM_CONFIG_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/config/ecosystems" \ -H "Content-Type: application/json" \ -d '{}'{
"ecosystems": [
{
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/cdd42cec-e961-447c-9083-1312ee316053"
}
],
"isIssuanceRestricted": false,
"isVerificationRestricted": false
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Well known DID configuration GET
Returns a list of Decentralized Identifier (DID) Configuration entries from the tenant. These are automatically created for **all** DIDS created on a tenant so that they can be used by any party aiming to establish and verify the domain-DID linkage by exposing cryptographic proofs. Thus, this endpoint is unprotected, public facing and can be deterministically found at the root of the tenant subdomain or alias by any party. Refer to [Well Known DID Configuration](https://identity.foundation/.well-known/resources/did-configuration) on the Decentralized Identity Foundation website for more information.
Delete ecosystem configuration DELETE
Deletes the tenant's ecosystem configuration. ### **Analytic events** * ECOSYSTEM_CONFIG_DELETE_START * ECOSYSTEM_CONFIG_DELETE_SUCCESS * ECOSYSTEM_CONFIG_DELETE_FAIL